> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Block a customer on a channel



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json post /v1/channel-blacklists
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/channel-blacklists:
    post:
      tags:
        - ChannelBlacklist
      summary: Block a customer on a channel
      operationId: channelBlacklist.store
      parameters:
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChannelBlacklistStoreRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    $ref: '#/components/schemas/ChannelBlacklistResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ChannelBlacklistStoreRequest:
      type: object
      properties:
        channel_id:
          type: integer
          description: The channel identifier the customer is being blocked on.
        customer_id:
          type: integer
          description: The customer identifier to block.
        reason:
          type: string
          description: The reason of the blacklist entry.
          enum:
            - rate_limit
            - llm_spam
            - manual
            - security_threat
            - abusive_language
        ttl_seconds:
          type:
            - integer
            - 'null'
          description: Block duration in seconds. Omit or pass null to block permanently.
          minimum: 1
        note:
          type:
            - string
            - 'null'
          description: Optional note to attach to the blacklist entry.
          maxLength: 1000
        metadata:
          type:
            - array
            - 'null'
          description: Optional metadata to attach to the blacklist entry.
          items:
            type: string
      required:
        - channel_id
        - customer_id
        - reason
      title: ChannelBlacklistStoreRequest
    ChannelBlacklistResource:
      type: object
      properties:
        id:
          type: integer
        tenant_id:
          type: integer
        reason:
          type: string
        reason_label:
          type: string
        note:
          type:
            - string
            - 'null'
        blocked_at:
          type: string
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        is_active:
          type: boolean
        is_permanent:
          type: boolean
        is_expired:
          type: boolean
        remaining_time:
          type: string
        metadata:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        channel:
          $ref: '#/components/schemas/RelatedChannelResource'
        customer:
          $ref: '#/components/schemas/RelatedCustomerResource'
      required:
        - id
        - tenant_id
        - reason
        - reason_label
        - note
        - blocked_at
        - expires_at
        - is_active
        - is_permanent
        - is_expired
        - remaining_time
        - metadata
        - created_at
        - updated_at
        - deleted_at
      title: ChannelBlacklistResource
    RelatedChannelResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          $ref: '#/components/schemas/ChannelType'
        address:
          type: string
      required:
        - id
        - name
        - type
        - address
      title: RelatedChannelResource
    RelatedCustomerResource:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        phone_number:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
      required:
        - id
        - first_name
        - last_name
        - phone_number
        - email
      title: RelatedCustomerResource
    ChannelType:
      type: string
      enum:
        - whatsapp
        - instagram
        - website
        - telegram
      title: ChannelType
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````